## org.apache.lucene.facet.complements
Class ComplementCountingAggregator

    java.lang.Object
      org.apache.lucene.facet.search.CountingAggregator
          org.apache.lucene.facet.complements.ComplementCountingAggregator

All Implemented Interfaces:
  Aggregator

    public class ComplementCountingAggregator

extends CountingAggregator

A `CountingAggregator` used during complement counting.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.facet.search.CountingAggregator
`counterArray`

Constructor Summary
`ComplementCountingAggregator(int[] counterArray)`

Method Summary
`void` `aggregate(int docID, float score, IntsRef ordinals)` Aggregate the ordinals of the given document ID (and its score).

Methods inherited from class org.apache.lucene.facet.search.CountingAggregator
`equals, hashCode, setNextReader`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplementCountingAggregator

    public ComplementCountingAggregator(int[] counterArray)

Method Detail

### aggregate

    public void aggregate(int docID,
                          float score,
                          IntsRef ordinals)
                   throws IOException

  Description copied from interface: `Aggregator`
  Aggregate the ordinals of the given document ID (and its score). The given ordinals offset is always zero.

  Specified by:
    `aggregate` in interface `Aggregator`
  Overrides:
    `aggregate` in class `CountingAggregator`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.